Bug 130223 - laptop shutdowns abruptly, cooling fan turned off at boot
laptop shutdowns abruptly, cooling fan turned off at boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2004-08-18 06:26 EDT by Xavier Stenuit
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-23 07:03:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Xavier Stenuit 2004-08-18 06:26:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322; .NET CLR 1.0.3705)

Description of problem:
1) Installation of FC2, checked "Kernel development" -
> /usr/src/linux2.6xxxx is created

2) Login as root, open terminal window

3) make oldconfig
4) make

compilation begins, but after 2-3 minutes (I think it is during/just 
after the compilation of "ialloc") the laptop turns off completely 
(not a clean shutdown).
- first attempt to turn it on again results in blinking power leds 
(probably hardware failure)
- second attempt to turn it on again is OK.

Probably, it is hardware-related, but I have no clue how to get more 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
see description

Actual Results:  pc turns off

Expected Results:  kernel should compile

Additional info:

Observed on the following configuration :
Compaq EVO600, internal DVDrom, external CD-RW(plextor) on USB1, 
external floppy on USB1, docking station.

FC2 installed on EXT3 partition, /dev/hda6, swap /dev/hda5 (dual boot 
with W2K)
Comment 1 Arjan van de Ven 2004-08-18 06:28:33 EDT
sounds like thermal override....
Comment 2 Xavier Stenuit 2004-08-18 06:49:27 EDT

I'll try without docking station (on battery), and no peripherals.  I 
let you know
Comment 3 Xavier Stenuit 2004-08-18 07:51:26 EDT
Yes indeed : as soon as the linux is started, the heating fan stops 
(probably grub or some init stuff in the kernel state stops it as a 
side effect).

When compiling the kernel, the PC stays several minutes at 95% CPU 
utilization.  After the bug appears and after reboot, the fan turns 
on again and blows very hot...

Unfortunately, fan management is done by bios -> I'll ask compaq 
about this issue.

Thanks for help
Comment 4 Xavier Stenuit 2004-08-23 07:03:39 EDT
Installing the latest ROM Bios on the laptop (SP27129.exe) fixed the 
problem of cooling fan.
Indeed, compaq mentions that the updated bios "Corrects an issue with 
Linux Installation".

Note You need to log in before you can comment on or make changes to this bug.